米尔科技提醒您:您的浏览器版本过低或者使用了兼容模式,为了获得更好的浏览体验,建议使用IE10以上的浏览器或使用极速模式。 请升级浏览器以获得更好的体验!

如何知道一个License适用的RVDS和RVCT版本?

问题类别: > C51/C166/C251 浏览次数:4633
发布日期:2013/11/13 17:08:03 文章来源:米尔科技
回复日期:2020/12/18 10:15:07

环境说明

分析描述

如何知道能用在RVDS和RVCT哪个版本上?

问题解答

兼容性:

License许可证
2 2.1 2.2 3 3.1 STN 3.1 PRO 4.0 STN 4.0 PRO 4.1 STN 4.1 PRO
工具版本 2 YES YES YES YES YES YES YES YES YES YES
2.1 - YES YES YES YES YES YES YES YES YES
2.2 - - YES YES YES YES YES YES YES YES
3 - - - YES YES YES YES YES YES YES
3.1 STN - - - - YES YES YES YES YES YES
3.1 PRO - - - - - YES - YES - YES
4.0 STN - - - - - - YES YES YES YES
4.0 PRO - - - - - - - YES - YES
4.1 STN - - - - - - - - YES YES
4.1 PRO - - - - - - - - - YES


另外, RVDS 4.x, 3.x and 2.x licenses 可以在一些早期的ARM工具中使用,如下:比如说,目前有一个3.0版本的license,那么就可以使用2.0、2.1、2.2、3.0这四个工具软件版本。

  • RVCT 2.0.1
  • RVCT 2.0
  • RVCT 1.2
  • RVD 1.6.1
  • RVD 1.6
  • ADS 1.2
  • ADS 1.1 [注意:RVDS license will not license ARM Debugger for Windows/UNIX (ADW/ADU)]
  • ADS 1.0.1 [注意:an RVDS license will not license ARM Debugger for Windows/UNIX (ADW/ADU)]

Note 1: There are versions of RVDS which ship with CodeWarrior IDE and versions which ship without it (see link below). Versions of RVDS which do not ship with CodeWarrior will not allow the use of CodeWarrior.

Note 2: An RVDS license will not enable any version of RVDK, or RVCT for BREW.

Note 3: You are not entitled to enable seats which have been since replaced by upgrade/update seats.


英文原文地址:http://infocenter.arm.com/help/index.jsp?topic=/com.arm.doc.faqs/ka3939.html